{"openapi":"3.0.4","info":{"title":"List all images under same image repository","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/scheduler2"}],"paths":{"/api/images/repository/{name}":{"get":{"tags":["Images"],"summary":"List all images under same image repository","operationId":"ListImages","parameters":[{"name":"name","in":"path","description":"The name of the Repository","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The pagination token to use to continue listing images from a previous call to list images.\n            This value is returned from the previous call. If a pagination token is provided the sortBy and filter fields\n            must not have changed since the original request. Also, if set, a start value cannot be provided.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"sortBy","in":"query","description":"Order the results by these fields. Use use the '-' sign to denote descending order e.g. -MyFieldName.","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"start","in":"query","description":"When paginating, skip this number of results.","schema":{"maximum":5000,"minimum":0,"type":"integer","format":"int32"},"x-nullable":true},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many. Defaults to 2000 if not specified. Maximum is 5000.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32","default":2000},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set.","schema":{"maxLength":1024,"minLength":0,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/ResourceListOfImageSummary"},"example":{"values":[{"name":"ExampleName","pushTime":"2020-09-12T12:34:12.0000000+00:00","pullTime":"2020-09-12T12:45:15.0000000+00:00","digest":"sha256:b1365a9ada7eab7c6a42c90c112c7634ff7356a6b8a2148647dcbb56cdd982ff","size":56825012,"tags":[{"name":"latest","pullTime":"0001-01-01T00:00:00.0000000+00:00","pushTime":"0001-01-01T00:00:00.0000000+00:00","signed":false,"immutable":false},{"name":"0.61","pullTime":"0001-01-01T00:00:00.0000000+00:00","pushTime":"0001-01-01T00:00:00.0000000+00:00","signed":false,"immutable":false}],"scanSummary":{"fixable":1,"total":1,"critical":0,"high":1,"medium":0,"low":0,"negligible":0,"unknown":0}}],"links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}